[PATCH 2 of 4 eac] [pkg] No more need to depend on prov's repository

Sylvain Thenault sylvain.thenault at logilab.fr
Wed Mar 8 10:13:14 CET 2017


# HG changeset patch
# User Sylvain Thénault <sylvain.thenault at logilab.fr>
# Date 1488958700 -3600
#      Wed Mar 08 08:38:20 2017 +0100
# Node ID ab55a3d8e974b58d43d4bc391a9166fb4d6d55cc
# Parent  c9196da24e2fd404869441f8306cf5d4161e2911
[pkg] No more need to depend on prov's repository

it has been released

diff --git a/cubicweb-eac.spec b/cubicweb-eac.spec
--- a/cubicweb-eac.spec
+++ b/cubicweb-eac.spec
@@ -19,11 +19,11 @@ Source0:        cubicweb-eac-%{version}.
 BuildArch:      noarch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
 
 BuildRequires:  %{python} %{python}-setuptools
 Requires:       cubicweb >= 3.24.0
-Requires:       cubicweb-prov
+Requires:       cubicweb-prov >= 0.4.0
 Requires:       cubicweb-skos
 Requires:       cubicweb-addressbook
 Requires:       %{python}-six >= 1.4.0
 
 %description
diff --git a/cubicweb_eac/__pkginfo__.py b/cubicweb_eac/__pkginfo__.py
--- a/cubicweb_eac/__pkginfo__.py
+++ b/cubicweb_eac/__pkginfo__.py
@@ -14,11 +14,11 @@ description = 'Implementation of Encoded
 web = 'http://www.cubicweb.org/project/%s' % distname
 
 __depends__ = {
     'cubicweb': '>= 3.24.0',
     'six': '>= 1.4.0',
-    'cubicweb-prov': None,
+    'cubicweb-prov': '>= 0.4.0',
     'cubicweb-skos': None,
     'cubicweb-addressbook': None,
     'python-dateutil': None,
 }
 __recommends__ = {}
diff --git a/debian/control b/debian/control
--- a/debian/control
+++ b/debian/control
@@ -12,11 +12,11 @@ X-Python-Version: >= 2.6
 Package: cubicweb-eac
 Architecture: all
 Depends:
  python-cubicweb (>= 3.24.0),
  python-six (>= 1.4.0),
- cubicweb-prov,
+ cubicweb-prov (>= 0.4.0),
  cubicweb-skos,
  cubicweb-addressbook,
  ${python:Depends},
  ${misc:Depends},
 Description: Implementation of Encoded Archival Context for CubicWeb
diff --git a/tox.ini b/tox.ini
--- a/tox.ini
+++ b/tox.ini
@@ -5,11 +5,10 @@ envlist = py27,flake8,check-manifest
 sitepackages = true
 deps =
   pytest
   mock
   docutils
-  http://hg.logilab.org/master/cubes/prov/archive/tip.tar.bz2#egg=cubicweb-prov
 commands =
   {envpython} -m pytest {posargs:test}
 
 [testenv:check-manifest]
 skip_install = true


More information about the saem-devel mailing list